イベント詳細
GET
/events/:idイベントの詳細を取得します。パスには ID または slug を指定できます。セッション・登壇者・ステージ・チケット・主催者などを含みます。
| 認証 | 不要 |
|---|
パスパラメータ
idstring必須イベント ID または slug
レスポンス
| フィールド | 型 | 説明 |
|---|---|---|
id / title / slug | string | 基本情報 |
description / customStyle | string | object | 説明 / カスタムスタイル |
schedules | object[] | 開催スケジュール |
organizers / stages / sessions / speakers / tickets | object[] | 主催者・ステージ・セッション・登壇者・チケット |
hasEnded / hasInvitationTickets | boolean | 終了フラグ / 招待チケット有無 |
リクエスト
curl https://api.4s.link/events/ID \-H "Authorization: Bearer 4s_at_..."
レスポンス例
{"id": "e1f2a3b4-...","title": "4S Tech Conference 2026","slug": "tech-conf-2026","description": "...","eventType": "ONSITE","state": "PUBLISHED","schedules": [{ "startTime": "...", "endTime": "..." }],"location": { "name": "..." },"organizers": [],"stages": [],"sessions": [],"speakers": [],"tickets": [],"tags": ["tech"],"hasEnded": false,"hasInvitationTickets": false,"createdBy": { "id": "a1b2c3d4-...", "slug": "taro" }}